#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseX64=n
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#include "RepMonitor.au3"

; Configuration:

; On va surveiller mon bureau...
RMonitor_SetFolder("C:\Users\Jon\Desktop\")

; ...en appelant _TestCalback  chaque vnement
RMonitor_SetCallback("_TestCallback")


; ### EXEMPLE 1: Attente d'un vnement ###

While 1
	; La boucle est interrompue  chaque attente
	RMonitor_WaitForEvents()
WEnd


; ### EXEMPLE 2: Surveillance continue ###
RMonitor_StartMonitoring()
While 1
	; La boucle est continue
WEnd
RMonitor_StopMonitoring()



; Notre callback favorite:
;	Un seul argument de type wstr
;	Prototype C:
;		void _TestCallback(const wchar_t MSG);
;		void _TestCallback(LPCWSTR MSG); (en WINAPI)
Func _TestCallback($MSG)
	; 1er caractre = ID de l'vnement
	Local $EventID = StringLeft($MSG, 1), _
		$CompletePath = "C:\Users\Jon\" & StringTrimLeft($MSG, 1)
		; Reste = Chemin RELATIF du dossier|fichier

	Static $OldName

	Switch ($EventID)
		Case $FILE_ACTION_ADDED
			ConsoleWrite("Ajout: " & $CompletePath & @CRLF)
		Case $FILE_ACTION_REMOVED
			ConsoleWrite("Suppression: " & $CompletePath & @CRLF)
		Case $FILE_ACTION_MODIFIED
			ConsoleWrite("Modification: " & $CompletePath & @CRLF)
		Case $FILE_ACTION_RENAMED_OLD_NAME
			$OldName = $CompletePath
		Case $FILE_ACTION_RENAMED_NEW_NAME
			ConsoleWrite("Renom: " & $OldName & " en " & $CompletePath & @CRLF)
	EndSwitch
EndFunc